package org.bench4q.share.models.master.plugin;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class PluginResponseModel {

	private boolean success;
	private List<String> pluginList;
	private List<BehaviorInfoModel> behaviorInfoModels;
	private List<PluginUIModel> pluginUIModels;
	private String failMessage;
	private PluginInfoModel pluginInfoModel;

	public PluginResponseModel() {
		this.success = false;
	}

	@XmlElement
	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	@XmlElement
	public List<String> getPluginList() {
		return pluginList;
	}

	public void setPluginList(List<String> pluginList) {
		this.pluginList = pluginList;
	}

	@XmlElement
	public String getFailMessage() {
		return failMessage;
	}

	public void setFailMessage(String failMessage) {
		this.failMessage = failMessage;
	}

	@XmlElementWrapper
	@XmlElement(name = "behaviroInfoModel", type = BehaviorInfoModel.class)
	public List<BehaviorInfoModel> getBehaviorInfoModels() {
		return behaviorInfoModels;
	}

	public void setBehaviorInfoModels(List<BehaviorInfoModel> behaviorInfoModels) {
		this.behaviorInfoModels = behaviorInfoModels;
	}

	@XmlElementWrapper
	@XmlElement(name = "pluginUIModel", type = PluginUIModel.class)
	public List<PluginUIModel> getPluginUIModels() {
		return pluginUIModels;
	}

	public void setPluginUIModels(List<PluginUIModel> pluginUIModels) {
		this.pluginUIModels = pluginUIModels;
	}

	@XmlElement
	public PluginInfoModel getPluginInfoModel() {
		return pluginInfoModel;
	}

	public void setPluginInfoModel(PluginInfoModel pluginInfoModel) {
		this.pluginInfoModel = pluginInfoModel;
	}

}
